    # File lib/action_view/helpers/url_helper.rb, line 76
          def url_for(options = {})
            options ||= {}
            url = case options
            when String
              escape = true
              options
            when Hash
              options = { :only_path => options[:host].nil? }.update(options.symbolize_keys)
              escape  = options.key?(:escape) ? options.delete(:escape) : true
              @controller.send(:url_for, options)
            when :back
              escape = false
              @controller.request.env["HTTP_REFERER"] || 'javascript:history.back()'
            else
              escape = false
              polymorphic_path(options)
            end

            escape ? escape_once(url).html_safe : url
          end